smbios_any_t Struct Reference
Public interface » ID macros » SMBIOS structures

common part of all smbios_* types More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
| link to next entry
hd_smbios_type_t | type
| BIOS info type.
int | data_len
| formatted section length
unsigned char * | data
| formatted section
str_list_t * | strings
| strings taken from the unformed section
int | handle
| handle, unique 16 bit number

## Detailed Description

common part of all smbios_* types

The documentation for this struct was generated from the following file:

- hd.h